Skip to main content
`Ctrl`+`K`

# PetscSignalSegvCheckPointerOrMpi

To be called from a signal handler for SIGSEGV.

## Synopsis

    void PetscSignalSegvCheckPointerOrMpi(void)

Not Collective, No Fortran Support

## Note

If the signal was received while executing `PetscCheckPointer()`, this function longjmps back there, otherwise it returns with no effect. This function is called automatically by `PetscSignalHandlerDefault()`.

## See Also

`PetscPushSignalHandler()`

## Level

developer

## Location

src/sys/error/checkptr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages